MP4(3)

NAME

MP4AddRtpPacket - Add an RTP packet

SYNTAX

#include <mp4.h>

bool MP4AddRtpPacket(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    bool setMBit = false,
    int32 transmitOffset = 0
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

setMBit
    Specifies the value of the RTP packet header marker bit for this packet. The value depends on the rules of the RTP payload used for this hint track.

transmitOffset
    Specifies an offset to apply to the normal transmission time of this packet. The purpose of this offset is to allow smoothing of packet transmission over the duration of the hint.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AddRtpPacket creates a new RTP packet for the currently pending RTP hint sample for the specified hint track. It also enables subsequent calls to MP4AddRtpImmediateData() and MP4AddRtpSampleData to add data to the RTP packets. After all the RTP packets for the hint have been created, MP4WriteRtpHint() should be called to write the hint to the track.

SEE ALSO

MP4(3) MP4AddRtpHint(3) MP4AddRtpImmediateData (3) MP4AddRtpSampleData (3) MP4WriteRtpHint (3)